//
// Created by postaron on 10/01/2022.
//

#ifndef BILLYSHEET_ENDURANCE_HPP
#define BILLYSHEET_ENDURANCE_HPP

#include <cstdint>

namespace character::characteristic {
	class Endurance final {
	private:
		const std::uint32_t base{ 2 };
		std::uint32_t carac{ 0 };
		std::uint32_t materiel{ 0 };
		std::uint32_t additional{ 0 };

	public:
		Endurance() noexcept = default;

		~Endurance() noexcept = default;

		[[nodiscard]] std::uint32_t get_max_lp() const noexcept;
	};
}


#endif //BILLYSHEET_ENDURANCE_HPP
